Bug 152535 - [regression] www/phpbb3: Port upgrade deletes config
Summary: [regression] www/phpbb3: Port upgrade deletes config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-24 07:40 UTC by Lukasz Wasikowski
Modified: 2010-11-30 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (782 bytes, patch)
2010-11-24 07:40 UTC, Lukasz Wasikowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Wasikowski 2010-11-24 07:40:09 UTC
config.php is in pkg-plist, so it's deleted after application upgrade. This was introduced with phpBB3 3.0.6, with 3.0.5 it worked as it should.

Fix: Patch attached.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/www/phpbb3 && make install clean && echo '<?php // test ?>' > /usr/local/www/phpBB3/config.php && portupgrade -f phpbb && cat /usr/local/www/phpBB3/config.php
Comment 1 Edwin Groothuis freebsd_committer 2010-11-24 07:40:13 UTC
Maintainer of www/phpbb3,

Please note that PR ports/152535 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152535

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-11-24 07:40:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Bo-Yi Wu 2010-11-24 08:02:13 UTC
ok, please commit it.

Thanks.

Bo-Yi Wu
Comment 4 Bo-Yi Wu 2010-11-27 13:33:43 UTC
The patch has been approved. Thanks.

On Wed, Nov 24, 2010 at 3:40 PM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of www/phpbb3,
>
> Please note that PR ports/152535 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/152535
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



--=20
# Name: Bo-Yi Wu
# Nick name:appleboy
# M.S National Chung Cheng University Electric Engineering
# Resume: http://blog.wu-boy.com/about/
Comment 5 Bo-Yi Wu 2010-11-27 13:33:43 UTC
The patch has been approved. Thanks.

--=20
# Name: Bo-Yi Wu
# Nick name:appleboy
# M.S National Chung Cheng University Electric Engineering
# Resume: http://blog.wu-boy.com/about/
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2010-11-27 21:35:40 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 Beech Rintoul freebsd_committer 2010-11-28 23:27:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it.
Comment 8 dfilter service freebsd_committer 2010-11-30 21:54:43 UTC
beech       2010-11-30 21:54:38 UTC

  FreeBSD ports repository

  Modified files:
    www/phpbb3           pkg-plist 
  Log:
  Fix issue - port upgrade deletes config
  
  PR:             ports/152535
  Submitted by:   Lukasz Wasikowski (lukasz@wasikowski.net)
  Approved by:    Bo-Yi Wu (appleboy.tw@gmail.com) (maintainer)
                  itetcu (implicit)
  
  Revision  Changes    Path
  1.14      +2 -1      ports/www/phpbb3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Beech Rintoul freebsd_committer 2010-11-30 21:54:55 UTC
State Changed
From-To: open->closed

Committed, Thanks!